@import url(settings.css);

body {
  background-color: #050516;
}

/* Start Header */

header {
  position: relative;
  background-color: rgba(0, 5, 40, 0.2);
  width: 100%;
  height: 95px;
  border-bottom: 1px solid rgba(255, 255, 255, 0.1255);
  z-index: 10000;
}

header .navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 19px 59px;
  height: -webkit-fill-available;
}

header .navbar ul {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 34px;
}

header .navbar ul li a {
  color: #fff;
  font-size: 20px;
  font-family: "Inter", serif;
  font-weight: normal;
}

@keyframes gradientAnimation {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

header .navbar .button.secondary {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  position: relative;
  width: 160px;
  height: 45px;
  border-radius: 10px;
  color: white;
  background: transparent;
}

header .navbar .button.secondary::before {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: 10px;
  padding: 2px; /* Border thickness */
  background: linear-gradient(
    45deg,
    #b4aeec,
    #979ded,
    #6b8deb,
    #4c7feb,
    #a859e9,
    #a33de8
  );
  background-size: 200% 200%; /* Make it large for smooth movement */
  animation: gradientAnimation 3s linear infinite;
  -webkit-mask: linear-gradient(white 0 0) content-box,
    linear-gradient(white 0 0);
  mask: linear-gradient(white 0 0) content-box, linear-gradient(white 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  pointer-events: none;
}

header .nav-menu,
header .close-menu {
  display: none;
}

@media screen and (max-width: 768px) {
  header .nav-menu {
    display: flex;
    color: rgba(58, 121, 255, 0.9);
    font-size: 30px;
    height: 100%;
    align-items: center;
    /* padding-left: 30px; */
    position: absolute;
    right: 30px;
  }

  header .navbar .close-menu {
    display: block;
    color: #fff;
    position: absolute;
    font-size: 25px;
    left: 40px;
  }

  header .navbar {
    flex-direction: column;
    align-items: flex-end;
    background-color: #000528;
    height: calc(100% + 760px);
    width: 300px;
    justify-content: flex-start;
    padding: 0;
    padding-right: 30px;
    padding-top: 50px;
    position: absolute;
    z-index: 10000;
    top: 0;
    right: 0;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0s 0.3s;
  }

  header .navbar.open {
    opacity: 1;
    visibility: visible;
    /* right: 0; */
    transition: opacity 0.3s ease, visibility 0s 0s;
  }

  header .navbar ul {
    flex-direction: column;
  }

  header .navbar .button.secondary {
    margin-top: 44px;
    width: 270px;
    height: 45px;
  }
}

/* End Header */

/* Start Hero Section */
main {
  position: relative;
  height: 90vh;
}

main::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-image: url(../images/hero-background.svg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  opacity: 0.5; /* Adjust the opacity here */
  z-index: -10; /* Ensure the image stays behind the content */
}

main .glow {
  /* width: 1080px; */
  height: 500px;
  background: rgba(58, 120, 255, 0.501);
  background: radial-gradient(
    circle,
    rgba(58, 120, 255, 0.282) 0%,
    rgba(108, 144, 233, 0.265) 100%
  );
  border-radius: 885px;
  position: absolute;
  filter: blur(800px);
  top: 90%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: -100;
}

main .content {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  margin-top: 30px;
}

main .content h1 {
  color: #fff;
  font-size: 96px;
  text-align: center;
  font-weight: 500;
  margin-bottom: 0;
}

main .content h1 span {
  background: linear-gradient(
    45deg,
    rgba(255, 255, 255, 1) 0%,
    rgba(67, 55, 242, 1) 65%,
    rgba(75, 105, 226, 1) 71%,
    rgba(104, 147, 228, 1) 84%,
    rgba(60, 101, 238, 1) 90%,
    rgba(109, 79, 217, 1) 95%,
    rgba(55, 42, 236, 1) 96%
  );
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  font-weight: 600;
}

main .content h1 span.design {
  background: linear-gradient(
    45deg,
    rgba(255, 255, 255, 1) 0%,
    rgba(67, 55, 242, 1) 65%,
    rgba(75, 105, 226, 1) 71%,
    rgba(104, 147, 228, 1) 84%,
    rgba(60, 101, 238, 1) 90%,
    rgba(109, 79, 217, 1) 95%,
    rgba(55, 42, 236, 1) 96%
  );
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
}

main .content p {
  font-size: 27px;
  color: #fff;
  text-align: center;
  line-height: 35px;
  font-weight: normal;
  margin: 0;
  margin-top: 24px;
  margin-bottom: 31px;
}

@media screen and (max-width: 1200px) {
  main .content h1 {
    font-size: 80px;
  }
}

@media screen and (max-width: 1000px) {
  main .content h1 {
    font-size: 70px;
  }
}

@media screen and (max-width: 767px) {
  main .content h1 {
    font-size: 50px;
  }

  main .content p {
    font-size: 20px;
  }

  main {
    height: 60vh;
  }
}

@media screen and (max-width: 567px) {
  main .content h1 {
    font-size: 32px;
  }

  main .content p {
    font-size: 16px;
  }
}

.button.primary {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  position: relative;
  width: 300px;
  height: 50px;
  border-radius: 10px;
  color: white;
  background: transparent;
  background: rgb(236, 174, 232);
  background: linear-gradient(
    45deg,
    rgba(236, 174, 232, 1) 0%,
    rgba(75, 39, 204, 1) 100%
  );
}

.button.primary::before {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: 10px;
  padding: 3px; /* Border thickness */
  background: linear-gradient(
    45deg,
    #b4aeec,
    #979ded,
    #6b8deb,
    #4c7feb,
    #a859e9,
    #a33de8
  );
  background-size: 200% 200%; /* Make it large for smooth movement */
  animation: gradientAnimation 3s linear infinite;
  -webkit-mask: linear-gradient(white 0 0) content-box,
    linear-gradient(white 0 0);
  mask: linear-gradient(white 0 0) content-box, linear-gradient(white 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  pointer-events: none;
}

/* Start About Section */

.about {
  margin-top: -10rem;
}

@media screen and (max-width: 1400px) {
  .about {
    margin-top: 0;
  }
}

.about .title {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.rounded-title {
  color: #fff;
  background: transparent;
  position: relative;
  background-color: #122053;
  width: 90px;
  height: 30px;
  border-radius: 170px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 16px;
  font-weight: 200;
}

.rounded-title::before {
  content: "";
  position: absolute;
  inset: 0; /* Covers full button */
  border-radius: 12px;
  padding: 2px; /* Border thickness */
  background: linear-gradient(
    45deg,
    #b4aeec,
    #979ded,
    #6b8deb,
    #4c7feb,
    #a859e9,
    #a33de8
  );
  -webkit-mask: linear-gradient(white 0 0) content-box,
    linear-gradient(white 0 0);
  mask: linear-gradient(white 0 0) content-box, linear-gradient(white 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  pointer-events: none;
}

.about .title h1 {
  font-size: 36px;
  color: #fff;
  text-align: left;
  font-weight: normal;
  margin: 0;
  margin-top: 20px;
  margin-bottom: 8px;
}

.about .title p {
  color: rgba(255, 255, 255, 0.5);
  font-size: 17px;
  line-height: 23px;
  margin: 0;
  width: 65%;
}

.about .cards {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 31px;
}

.about .cards .top-cards {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 21px;
}

.about .cards .top-cards .card {
  width: 510px;
  height: 230px;
  padding: 20px 30px;
  position: relative;
}

.about .cards .bottom-cards .card {
  gap: 120px;
}

.about .cards .card.first::before {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: 12px;
  padding: 4px;
  background: linear-gradient(
    45deg,
    #b4aeec,
    #979ded,
    #6b8deb,
    #4c7feb,
    #a859e9,
    #a33de8
  );
  background-size: 300% 300%;
  animation: gradientAnimation 3s linear infinite;

  -webkit-mask: linear-gradient(white 0 0) content-box,
    linear-gradient(white 0 0);
  mask: linear-gradient(white 0 0) content-box, linear-gradient(white 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  pointer-events: none;
}

/* Other cards: Only show border on hover */
.about .cards .card:not(.first)::before {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: 12px;
  padding: 4px;
  background: linear-gradient(
    45deg,
    #b4aeec,
    #979ded,
    #6b8deb,
    #4c7feb,
    #a859e9,
    #a33de8
  );
  background-size: 300% 300%;
  opacity: 0; /* Initially hidden */
  transition: opacity 0.3s ease;

  -webkit-mask: linear-gradient(white 0 0) content-box,
    linear-gradient(white 0 0);
  mask: linear-gradient(white 0 0) content-box, linear-gradient(white 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  pointer-events: none;
}

/* Show border on hover */
.about .cards .card:not(.first):hover::before {
  opacity: 1;
  animation: gradientAnimation 3s linear infinite;
}

.about .cards .bottom-cards {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 19px;
  margin-top: 26px;
}

.about .cards .bottom-cards .card {
  width: 315px;
  height: 282px;
  padding: 20px 30px;
}

.about .cards .card {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 80px;
  border: 1px solid rgba(255, 255, 255, 0.1608);
  border-radius: 13px;
  background-color: #111130;
}

.about .cards .icon {
  width: 55px;
  height: 55px;
  background: var(--icon-color);
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
}

.about .cards .card .text p {
  margin: 0;
  color: rgba(255, 255, 255, 0.7);
  font-size: 16px;
  margin-bottom: 15px;
}

.about .cards .card .text h3 {
  margin: 0;
  font-weight: 500;
  font-size: 21px;
  color: #fff;
}

.about .button {
  margin: 45px auto;
}

@media screen and (max-width: 1200px) {
  .about .cards .top-cards .card {
    width: 450px;
  }

  .about .cards .bottom-cards .card {
    width: 275px;
  }
}

@media screen and (max-width: 1070px) {
  .about .cards .top-cards .card {
    width: 400px;
  }

  .about .cards .bottom-cards .card {
    width: 240px;
  }
}

@media screen and (max-width: 973px) {
  .about .cards .top-cards .card {
    width: 350px;
  }

  .about .cards .bottom-cards .card {
    width: 210px;
  }

  .about .cards .card .text p {
    font-size: 14px;
  }
}

@media screen and (max-width: 880px) {
  .about .cards .bottom-cards {
    flex-wrap: wrap;
    width: 110%;
  }

  .about .cards .bottom-cards .card,
  .about .cards .top-cards .card {
    width: 340px;
  }
}

@media screen and (max-width: 840px) {
  .about .cards .top-cards {
    flex-wrap: wrap;
  }

  .about .cards .bottom-cards {
    width: 100%;
  }

  .about .cards .bottom-cards,
  .about .cards .top-cards {
    justify-content: center;
  }

  .about .title {
    padding-left: 10px;
  }

  .about .cards .card {
    width: 450px !important;
    height: 282px !important;
  }
}

@media screen and (max-width: 580px) {
  .about .cards .card {
    width: 170px !important;
    height: 230px !important;
    gap: 50px;
  }

  .about .cards .bottom-cards .card {
    gap: 50px;
  }

  .about .cards .card .text h3 {
    font-size: 17px;
  }

  .about .cards .top-cards {
    flex-wrap: nowrap;
  }

  .about .container {
    padding: 0;
  }

  .about .cards .bottom-cards .card:last-child {
    width: 310px !important;
  }

  .about .title p {
    width: 90%;
  }
}

@media screen and (max-width: 495px) {
  .about .cards .card {
    width: 150px !important;
  }
}

@media screen and (max-width: 455px) {
  .about .cards .card {
    width: 140px !important;
    padding: 15px 20px !important;
  }

  .about .cards .top-cards,
  .about .cards .bottom-cards {
    gap: 10px;
  }
}

@media screen and (max-width: 400px) {
  .about .cards .card {
    width: 130px !important;
  }
}

/* End About Section */

/* Start Skills Section */
.skills {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  margin-top: 122px;
  position: relative;
}

.skills .title {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.skills .title h1 {
  color: #fff;
  font-weight: 600;
  font-size: 36px;
  text-align: center;
  margin: 0;
  margin-top: 15px;
  margin-bottom: 10px;
}

.skills .title p {
  text-align: center;
  color: rgba(255, 255, 255, 0.5);
  font-size: 16px;
  font-weight: normal;
  margin: 0;
}

.skills .cards {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  justify-content: center;
  margin-top: 46px;
}

.skills .cards .card {
  width: 250px;
  height: 80px;
  padding: 15px 20px;
  background-color: #111130;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

@media (min-width: 1024px) {
  .skills .cards .card {
    flex: 0 1 calc(20% - 80px);
    max-width: calc(20% - 20px);
  }
}

@media screen and (max-width: 1024px) {
  .skills .cards .card.left-bottom,
  .skills .cards .card.left-top {
    flex-direction: row !important;
  }

  .skills .cards .card::before,
  .skills .cards .card {
    border-radius: 0 !important;
  }
}

@media (max-width: 768px) {
  .skills .cards .card {
    flex: 0 1 calc(33.33% - 20px);
    max-width: calc(33.33% - 20px);
  }
}

@media (max-width: 480px) {
  .skills .cards .card {
    flex-direction: column;
    width: 190px;
    height: 100px;
    padding: 25px 30px;
  }

  .skills .cards .card.left-bottom,
  .skills .cards .card.left-top {
    flex-direction: column !important;
  }

  .skills .cards .card p {
    font-size: 16px;
  }

  .skills .cards .card img {
    width: 45px;
  }
}

.skills .cards .card::before {
  content: "";
  position: absolute;
  inset: 0; /* Covers full button */
  /* border-radius: 12px; */
  padding: 2px; /* Border thickness */
  background: linear-gradient(
    45deg,
    #b4aeec,
    #979ded,
    #6b8deb,
    #4c7feb,
    #a859e9,
    #a33de8
  );
  -webkit-mask: linear-gradient(white 0 0) content-box,
    linear-gradient(white 0 0);
  mask: linear-gradient(white 0 0) content-box, linear-gradient(white 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  pointer-events: none;
}

.skills .cards .card {
  color: #fff;
  font-weight: 600;
  font-size: 18px;
}

.skills .cards .card.right-top::before {
  content: "";
  border-top-right-radius: 44px;
}

.skills .cards .card.right-top {
  border-top-right-radius: 44px;
}

.skills .cards .card.left-top::before {
  content: "";
  border-top-left-radius: 44px;
}

.skills .cards .card.left-top {
  border-top-left-radius: 44px;
  flex-direction: row-reverse;
}

.skills .cards .card.left-bottom::before {
  content: "";
  border-bottom-left-radius: 44px;
}

.skills .cards .card.left-bottom {
  border-bottom-left-radius: 44px;
  flex-direction: row-reverse;
}

.skills .cards .card.right-bottom::before {
  content: "";
  border-bottom-right-radius: 44px;
}

.skills .cards .card.right-bottom {
  border-bottom-right-radius: 44px;
}

.skills .note {
  color: #fff;
  font-size: 13px;
  margin-top: 25px;
}

.skills .glow {
  width: 186px;
  height: 444px;
  background: rgb(58, 121, 255);
  background: linear-gradient(
    45deg,
    rgba(58, 121, 255, 0.9) 0%,
    rgba(108, 143, 233, 0.5) 100%
  );
  border-radius: 885px;
  position: absolute;
  filter: blur(645px);
  z-index: -100;
  overflow: hidden;
}

.skills .glow.top {
  right: 0;
  bottom: -370px;
}

.skills .glow.bottom {
  left: 0;
  top: -370px;
}

/* End Skills Section */

/* Start Projects Section */
.projects {
  margin-top: 90px;
  position: relative;
}
.projects .glow {
  width: 766px;
  height: 724px;
  background: rgb(58, 121, 255);
  background: linear-gradient(
    45deg,
    rgba(58, 121, 255, 0.9) 0%,
    rgba(108, 143, 233, 0.5) 100%
  );
  border-radius: 885px;
  position: absolute;
  filter: blur(339px);
  z-index: -100;
  overflow: hidden;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
.projects .title {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  margin-bottom: 28px;
}
.projects .title .rounded-title {
  width: 105px;
}

.projects .title h1 {
  color: #fff;
  font-weight: 600;
  font-size: 36px;
  text-align: center;
  margin: 0;
  margin-top: 15px;
  margin-bottom: 10px;
}

.projects .title h1 span {
  background: linear-gradient(
    45deg,
    rgba(236, 174, 232, 1) 0%,
    rgba(113, 33, 252, 1) 14%,
    rgba(78, 29, 255, 1) 46%,
    rgba(82, 76, 235, 1) 50%,
    rgba(168, 89, 233, 1) 75%,
    rgba(75, 39, 204, 1) 100%
  );
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
}

.projects .cards {
  display: grid;
  align-items: center;
  justify-content: center;
  grid-template-columns: repeat(2, 0fr);
  row-gap: 25px;
  column-gap: 33px;
}

.projects .cards .card {
  /* flex: 0 0 40%; */
  box-sizing: border-box;
  width: 530px;
  height: 460px;
  border-radius: 18px;
  border: 2px solid rgba(255, 255, 255, 0.1608);
  padding: 10px 20px;
}

.projects .cards .card .image {
  width: 490px;
  height: 257px;
  background-color: #13162d;
  border-radius: 18px;
  position: relative;
  overflow: hidden;
  margin-bottom: 15px;
}

.projects .cards .card .image::before {
  content: "";
  background-image: url(../images/projects-glow.svg);
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}

.projects .cards .card .image::after {
  content: "";
  background-image: url(../images/projects-glow.svg);
  position: absolute;
  width: 100%;
  height: 100%;
  bottom: 0;
  right: 0;
}

.projects .cards .card .image img {
  position: absolute;
  z-index: 1000;
  bottom: -10px;
  left: 50%;
  transform: translateX(-50%);
}

.projects .cards .card .text {
  display: flex;
  align-items: flex-start;
  justify-content: center;
  flex-direction: column;
  gap: 16px;
  margin-bottom: 33px;
}

.projects .cards .card .text h1 {
  margin: 0;
  color: #fff;
  font-weight: 600;
  font-size: 32px;
}

.projects .cards .card .text p {
  color: #bec1dd;
  font-size: 16px;
  font-weight: 500;
  margin: 0;
}

.projects .cards .card .footer {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 10px;
}

.projects .cards .card .footer .tools {
  display: flex;
  align-items: center;
  justify-content: center;
}

.projects .cards .card .footer .tools .item {
  background: rgb(22, 26, 49);
  background: linear-gradient(
    45deg,
    rgba(22, 26, 49, 1) 0%,
    rgba(6, 9, 31, 1) 100%
  );
  border: 1px solid rgba(255, 255, 255, 0.2);
  width: 30px;
  height: 30px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: -5px;
}

.projects .cards .card .footer .tools .item i {
  font-size: 18px;
  color: #fff;
}

.projects .cards .card .footer .check {
  font-size: 17px;
  color: #7121fc;
  font-weight: normal;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
}

@media screen and (max-width: 1201px) {
  .projects .cards .card {
    width: 470px;
  }

  .projects .cards .card .image {
    width: 420px;
  }

  .projects .cards .card .text p {
    font-size: 14.5px;
  }
}

@media screen and (max-width: 1000px) {
  .projects .cards .card {
    width: 420px;
  }

  .projects .cards .card .image {
    width: 380px;
  }

  .projects .cards {
    gap: 10px;
  }
}

@media screen and (max-width: 867px) {
  .projects .cards {
    grid-template-columns: repeat(1, 0fr);
  }

  .projects .cards .card {
    width: 530px;
  }

  .projects .cards .card .image {
    width: 490px;
  }
}

@media screen and (max-width: 791px) {
  .projects .glow {
    width: 246px;
  }
}

@media screen and (max-width: 555px) {
  .projects .cards .card {
    width: 390px;
    padding: 10px 15px;
  }

  .projects .cards .card .image {
    width: 355px;
  }
}
/* End Projects Section */

/* Start Contact Section */
.contact .card {
  position: relative;
  width: clamp(300px, 80%, 1150px);
  height: 400px;
  background: rgb(22, 26, 49);
  background: linear-gradient(
    45deg,
    rgba(22, 26, 49, 1) 0%,
    rgba(6, 9, 31, 1) 100%
  );
  margin: auto;
  margin-top: 150px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  border-radius: 25px;
}

.contact .card::before {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: 25px;
  padding: 2.5px;
  background: linear-gradient(
    45deg,
    #b4aeec,
    #979ded,
    #6b8deb,
    #4c7feb,
    #a859e9,
    #a33de8
  );
  background-size: 300% 300%;
  animation: gradientAnimation 3s linear infinite;

  -webkit-mask: linear-gradient(white 0 0) content-box,
    linear-gradient(white 0 0);
  mask: linear-gradient(white 0 0) content-box, linear-gradient(white 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  pointer-events: none;
}

.contact .card .title {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.contact .card .title .rounded-title {
  width: 105px;
}

.contact .card .title h1 {
  font-size: 48px;
  font-weight: bold;
  color: #fff;
  text-align: center;
  margin: 0;
  margin-top: 10px;
  margin-bottom: 55px;
}

.contact .card .title h1 span {
  background: rgb(236, 174, 232);
  background: linear-gradient(
    90deg,
    rgba(236, 174, 232, 1) 0%,
    rgba(113, 33, 252, 1) 14%,
    rgba(78, 29, 255, 1) 46%,
    rgba(82, 76, 235, 1) 50%,
    rgba(168, 89, 233, 1) 75%,
    rgba(75, 39, 204, 1) 100%
  );
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  font-weight: 900;
}

.contact .card .button {
  border-radius: 33px;
}

.contact .card .button.primary::before {
  border-radius: 33px;
}

@media screen and (max-width: 1150px) {
  .contact .card .title h1 {
    font-size: 40px;
  }
}

@media screen and (max-width: 950px) {
  .contact .card .title h1 {
    font-size: 34px;
  }
}

@media screen and (max-width: 767px) {
  .contact .card {
    width: 95%;
  }
}

@media screen and (max-width: 500px) {
  .contact .card .title h1 {
    font-size: 24px;
  }
}
/* End Contact Section */

/* Start Footer */
footer {
  width: clamp(400px, 85%, 1350px);
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-family: "Inter", serif !important;
  margin: auto;
  margin-top: 160px;
  margin-bottom: 25px;
  position: relative;
}

footer::before {
  content: "";
  background-color: rgba(255, 255, 255, 0.1608);
  height: 1px;
  width: 100%;
  position: absolute;
  top: -45px;
}

footer .copyright {
  color: #c6c7d5;
  font-size: 17px;
}

footer .social {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 7px;
}

footer .social .icon {
  width: 35px;
  height: 35px;
  background: rgb(22, 26, 49);
  background: linear-gradient(
    45deg,
    rgba(22, 26, 49, 1) 0%,
    rgba(6, 9, 31, 1) 100%
  );
  border-radius: 50%;
  color: #fff;
  border: 1px solid rgba(255, 255, 255, 0.2);
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 18px;
}

@media screen and (max-width:535px) {
  footer  {
    flex-direction: column;
    margin-top: 130px;
  }

  footer::before {
    top: -25px;
  }
}
/* End Footer */
